# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'ScheduleSettings.system_name'
        db.add_column('gisdo_schedulesettings', 'system_name',
                      self.gf('django.db.models.fields.CharField')(max_length=250, null=True),
                      keep_default=False)

        # Adding field 'ScheduleSettings.email'
        db.add_column('gisdo_schedulesettings', 'email',
                      self.gf('django.db.models.fields.CharField')(max_length=30, null=True),
                      keep_default=False)

        # Adding field 'ScheduleSettings.installation_type'
        db.add_column('gisdo_schedulesettings', 'installation_type',
                      self.gf('django.db.models.fields.SmallIntegerField')(null=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'ScheduleSettings.system_name'
        db.delete_column('gisdo_schedulesettings', 'system_name')

        # Deleting field 'ScheduleSettings.email'
        db.delete_column('gisdo_schedulesettings', 'email')

        # Deleting field 'ScheduleSettings.installation_type'
        db.delete_column('gisdo_schedulesettings', 'installation_type')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'dict.doutype': {
            'Meta': {'object_name': 'DouType', 'db_table': "'dou_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.unitkind': {
            'Meta': {'object_name': 'UnitKind'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'})
        },
        'dict.unittype': {
            'Meta': {'object_name': 'UnitType', 'db_table': "'unit_type'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'djcelery.crontabschedule': {
            'Meta': {'object_name': 'CrontabSchedule'},
            'day_of_month': ('django.db.models.fields.CharField', [], {'default': "'*'", 'max_length': '64'}),
            'day_of_week': ('django.db.models.fields.CharField', [], {'default': "'*'", 'max_length': '64'}),
            'hour': ('django.db.models.fields.CharField', [], {'default': "'*'", 'max_length': '64'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'minute': ('django.db.models.fields.CharField', [], {'default': "'*'", 'max_length': '64'}),
            'month_of_year': ('django.db.models.fields.CharField', [], {'default': "'*'", 'max_length': '64'})
        },
        'djcelery.intervalschedule': {
            'Meta': {'object_name': 'IntervalSchedule'},
            'every': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'period': ('django.db.models.fields.CharField', [], {'max_length': '24'})
        },
        'djcelery.periodictask': {
            'Meta': {'object_name': 'PeriodicTask'},
            'args': ('django.db.models.fields.TextField', [], {'default': "'[]'", 'blank': 'True'}),
            'crontab': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['djcelery.CrontabSchedule']", 'null': 'True', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'exchange': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'expires': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'interval': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['djcelery.IntervalSchedule']", 'null': 'True', 'blank': 'True'}),
            'kwargs': ('django.db.models.fields.TextField', [], {'default': "'{}'", 'blank': 'True'}),
            'last_run_at': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'queue': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'routing_key': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'task': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'total_run_count': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'})
        },
        'gisdo.gisdounit': {
            'Meta': {'object_name': 'GisdoUnit'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'doo_identity': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'}),
            'external_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'not_on_federal_report': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'unit': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'gisdo'", 'unique': 'True', 'to': "orm['unit.Unit']"})
        },
        'gisdo.reportform': {
            'Meta': {'object_name': 'ReportForm'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'external_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'sent_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['users.UserProfile']", 'null': 'True'}),
            'xml': ('django.db.models.fields.TextField', [], {'null': 'True'})
        },
        'gisdo.reportformrow': {
            'Meta': {'object_name': 'ReportFormRow'},
            'applications': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'capacities': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'enrolled': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'external_id': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'queues': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['gisdo.ReportForm']"}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']"})
        },
        'gisdo.schedulesettings': {
            'Meta': {'object_name': 'ScheduleSettings'},
            'async_send': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation_type': ('django.db.models.fields.SmallIntegerField', [], {'null': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'push_login': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True'}),
            'push_password': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True'}),
            'resend_count': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '3'}),
            'system_name': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True'}),
            'time': ('django.db.models.fields.TimeField', [], {'null': 'True'}),
            'zip_xml': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        'gisdo.taskscheduler': {
            'Meta': {'object_name': 'TaskScheduler'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'periodic_task': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['djcelery.PeriodicTask']"})
        },
        'unit.unit': {
            'Meta': {'object_name': 'Unit', 'db_table': "'unit'"},
            'address_full': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'address_house': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'address_house_guid': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_place': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'address_street': ('django.db.models.fields.CharField', [], {'max_length': '36', 'null': 'True', 'blank': 'True'}),
            'alloc_age_bgn': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_calc_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2010, 9, 1, 0, 0)', 'null': 'True', 'blank': 'True'}),
            'alloc_date_bgn': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_date_end': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'alloc_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'allow_dou_transfer': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'allow_offer_other': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'auto_deduct_at_changing_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'begin_repair_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'boss_fio': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'build_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'build_in_progress': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'centralized_accept_decls': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'childrens_in_queue_only_with_wish_date': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'closed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'combined_health_need': ('django.db.models.fields.SmallIntegerField', [], {'default': '-1'}),
            'comment_before_save_require': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'days_for_confirm_documents': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'days_for_direct_dogovor': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_declaration': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'days_for_reject_direct': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True'}),
            'decentral_model': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'doo_number': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '4', 'unique': 'True', 'null': 'True', 'db_index': 'True'}),
            'dou_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.DouType']", 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'end_repair_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'epgu_link': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'field_type_required': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'founders': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'full_name': ('django.db.models.fields.CharField', [], {'default': "u'\\u041d\\u0435 \\u0443\\u043a\\u0430\\u0437\\u0430\\u043d\\u043e'", 'max_length': '300'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_capital_repair': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'inn': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'is_info_from_parent': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_not_show_on_poral': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'kind': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitKind']", 'null': 'True', 'blank': 'True'}),
            'kpp': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'latitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'longitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'max_desired_dou': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'need_decl_priv_doc': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'ocato': ('django.db.models.fields.CharField', [], {'max_length': '11', 'null': 'True', 'blank': 'True'}),
            'octmo': ('django.db.models.fields.CharField', [], {'max_length': '11', 'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'blank': 'True'}),
            'privilege_place': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'}),
            'reception_time': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'rpgu_link': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'site': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'telephone': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dict.UnitType']", 'null': 'True', 'blank': 'True'}),
            'unique_id': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'use_fact_norm_cnt': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_only_direct': ('django.db.models.fields.IntegerField', [], {'default': '-1'}),
            'use_transfer_queue': ('django.db.models.fields.IntegerField', [], {'default': '-1'})
        },
        'users.userprofile': {
            'Meta': {'object_name': 'UserProfile'},
            'access_days': ('django.db.models.fields.IntegerField', [], {'default': '7'}),
            'exclude_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofileexcludeunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'fname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'is_ad_user': ('django.db.models.fields.NullBooleanField', [], {'default': 'False', 'null': 'True', 'blank': 'True'}),
            'max_unit': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'userprofilemaxunit'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['unit.Unit']"}),
            'need_change_password': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'oname': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'unit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['unit.Unit']", 'null': 'True', 'on_delete': 'models.SET_NULL', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        }
    }

    complete_apps = ['gisdo']